Privage Open API
    Open API
    • Open API
    • Welcome to Privage Open API Documents
    • Get Access Token
      POST
    • Renew Access Token
      POST
    • Exchange Access Token
      POST
    • Get Current Add-On status
      GET
    • Get Profile
      GET
    • Add Point
      POST
    • Burn Point
      POST
    • Void Transaction By Id
      DELETE
    • Void Transaction By RefNo
      DELETE
    • Void Transaction By RefId
      DELETE
    • Get Campaign
      GET
    • Get Transaction
      GET
    • Get Coupon Set
      GET
    • Create Coupon Set
      POST
    • Give Coupon to Member ID
      POST
    • Get Give Coupon History
      GET
    • Void Give Coupon
      DELETE
    • Get Transaction
      GET
    • Check Coupon
      GET
    • Mark Use Coupon
      POST

      Get Coupon Set

      สำหรับผู้ใช้ทั่วไป (Privage Open API)
      https://core.privageapp.com
      สำหรับผู้ใช้ทั่วไป (Privage Open API)
      https://core.privageapp.com
      GET
      /api/v1/connect/coupon/sets
      รายการชุดคูปองของธุรกิจแบบแบ่งหน้า

      Request

      Authorization
      JWT Bearer
      Add the parameter
      Authorization
      to Headers
      Example:
      Authorization: ********************
      or
      Query Params

      Responses

      🟢200
      application/json
      รายการชุดคูปองแบบแบ่งหน้า
      Body

      🟠401
      Request Request Example
      Shell
      JavaScript
      Java
      Swift
      curl --location --request GET 'https://core.privageapp.com/api/v1/connect/coupon/sets?page&size&sort&search' \
      --header 'Authorization: Bearer <token>'
      Response Response Example
      {
          "pagination": {
              "total": 100,
              "page": 1,
              "size": 10
          },
          "data": [
              {
                  "id": 1,
                  "name": "Welcome Coupon",
                  "prefix": "WLC",
                  "importType": "AUTO_GENERATE",
                  "quantity": 50,
                  "importStatus": "SUCCESS",
                  "createdAt": "2026-01-15T10:00:00Z"
              }
          ]
      }
      Modified at 2026-04-18 11:38:38
      Previous
      Get Transaction
      Next
      Create Coupon Set
      Built with